Package com.enonic.xp.issue

## Class Issue.Builder<B extends Issue.Builder>

- java.lang.Object
- - com.enonic.xp.issue.Issue.Builder<B>

- Direct Known Subclasses:
    `PublishRequestIssue.Builder`
  Enclosing class:
    Issue

      public static class Issue.Builder<B extends Issue.Builder>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected IssueType` | `issueType` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `Builder()` |
    `protected` | `Builder​(Issue source)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `B` | `addApproverId​(PrincipalKey approverId)` |
    `B` | `addApproverIds​(PrincipalKeys approverIds)` |
    `Issue` | `build()` |
    `B` | `createdTime​(Instant createdTime)` |
    `B` | `creator​(PrincipalKey creator)` |
    `B` | `description​(String description)` |
    `B` | `id​(IssueId id)` |
    `B` | `index​(long index)` |
    `B` | `modifiedTime​(Instant modifiedTime)` |
    `B` | `modifier​(PrincipalKey modifier)` |
    `B` | `name​(IssueName name)` |
    `B` | `setPublishRequest​(PublishRequest publishRequest)` |
    `B` | `status​(IssueStatus issueStatus)` |
    `B` | `title​(String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### issueType

          protected IssueType issueType

  - ### Constructor Detail

    - #### Builder

          public Builder()

    - #### Builder

          protected Builder​(Issue source)

  - ### Method Detail

    - #### id

          public B id​(IssueId id)

    - #### index

          public B index​(long index)

    - #### name

          public B name​(IssueName name)

    - #### title

          public B title​(String title)

    - #### description

          public B description​(String description)

    - #### createdTime

          public B createdTime​(Instant createdTime)

    - #### modifiedTime

          public B modifiedTime​(Instant modifiedTime)

    - #### status

          public B status​(IssueStatus issueStatus)

    - #### creator

          public B creator​(PrincipalKey creator)

    - #### modifier

          public B modifier​(PrincipalKey modifier)

    - #### addApproverId

          public B addApproverId​(PrincipalKey approverId)

    - #### addApproverIds

          public B addApproverIds​(PrincipalKeys approverIds)

    - #### setPublishRequest

          public B setPublishRequest​(PublishRequest publishRequest)

    - #### build

          public Issue build()